Package org.bukkit.entity

# Enum Class Boat.Status

java.lang.Object
java.lang.Enum<Boat.Status>
org.bukkit.entity.Boat.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Boat.Status>`, `Constable`

Enclosing interface:
  Boat

public static enum Boat.Status extends Enum<Boat.Status>
Represents the status of the boat.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IN_AIR`
`IN_WATER`
`ON_LAND`
`UNDER_FLOWING_WATER`
`UNDER_WATER`

## Method Summary

Modifier and Type
Method
Description
`static Boat.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Boat.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IN_WATER

public static final Boat.Status IN_WATER

### UNDER_WATER

public static final Boat.Status UNDER_WATER

### UNDER_FLOWING_WATER

public static final Boat.Status UNDER_FLOWING_WATER

### ON_LAND

public static final Boat.Status ON_LAND

### IN_AIR

public static final Boat.Status IN_AIR

## Method Details

### values

public static Boat.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Boat.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null